package com.inspect.metadata.montdata.service;

import com.inspect.metadata.montdata.domain.BasedataMontTaskStaData;

import java.util.List;

public interface IBasedataMontTaskStaDataService {
    BasedataMontTaskStaData selectBasedataMontTaskStaDataByTaskStaDataId(Long dataId);

    List<BasedataMontTaskStaData> selectBasedataMontTaskStaDataList(BasedataMontTaskStaData staData);

    int insertBasedataMontTaskStaData(BasedataMontTaskStaData staData);

    int updateBasedataMontTaskStaData(BasedataMontTaskStaData staData);

    int deleteBasedataMontTaskStaDataByTaskStaDataIds(Long[] dataIds);

    int deleteBasedataMontTaskStaDataByTaskStaDataId(Long dataId);
}
